From 687a24cc7815a68d7cca7b3285d934f4a2eb5ef9 Mon Sep 17 00:00:00 2001
From: Sinisa Veseli <sveseli@aps.anl.gov>
Date: Wed, 24 Feb 2016 01:00:58 +0000
Subject: [PATCH] add command to retrieve processing plugins; sudo template
 change; release notes update

---
 bin/dm-get-processing-plugins | 17 +++++++++++++++++
 doc/RELEASE_NOTES.txt         |  8 ++++++++
 etc/dm.sudo-rules.template    |  5 +++--
 3 files changed, 28 insertions(+), 2 deletions(-)
 create mode 100755 bin/dm-get-processing-plugins

diff --git a/bin/dm-get-processing-plugins b/bin/dm-get-processing-plugins
new file mode 100755
index 00000000..e3a0e6af
--- /dev/null
+++ b/bin/dm-get-processing-plugins
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Run command
+
+if [ -z $DM_ROOT_DIR ]; then
+    cd `dirname $0` && myDir=`pwd`
+    setupFile=$myDir/../setup.sh
+    if [ ! -f $setupFile ]; then
+        echo "Cannot find setup file: $setupFile"
+        exit 1
+    fi
+    source $setupFile > /dev/null
+fi
+
+$DM_ROOT_DIR/src/python/dm/daq_web_service/cli/getProcessingPluginsCli.py $@
+
+
diff --git a/doc/RELEASE_NOTES.txt b/doc/RELEASE_NOTES.txt
index ae985c93..c5ed8e21 100644
--- a/doc/RELEASE_NOTES.txt
+++ b/doc/RELEASE_NOTES.txt
@@ -1,3 +1,11 @@
+Release 0.9 (02/25/2016)
+=============================
+
+- Developed directory processing mode for uploads; in this mode file transfer 
+  plugins transfer entire directories as opposed to individual files
+- Added dm-get-processing-plugins command
+- Resolved working directory issue that may occur with simutaneous uploads
+
 Release 0.8 (01/26/2016)
 =============================
 
diff --git a/etc/dm.sudo-rules.template b/etc/dm.sudo-rules.template
index 063a04dd..bf95256b 100644
--- a/etc/dm.sudo-rules.template
+++ b/etc/dm.sudo-rules.template
@@ -5,10 +5,11 @@ User_Alias USER=DM_SYSTEM_UNIX_ACCOUNT
 Cmnd_Alias SETFACL=/usr/bin/setfacl -m group\:*\:rx DM_STORAGE_DIR/*
 Cmnd_Alias USERMOD=/usr/sbin/usermod -a -G * *
 Cmnd_Alias GROUPADD=/usr/sbin/groupadd *
-Cmnd_Alias CHOWN=/bin/chown -R \:* *
+Cmnd_Alias CHOWN=/bin/chown \:* *
+Cmnd_Alias CHOWN_R=/bin/chown -R \:* *
 Cmnd_Alias GPASSWD=/usr/bin/gpasswd * * *
 Cmnd_Alias NSCD=/usr/sbin/nscd -i *
 
-USER HOST = (root) NOPASSWD: SETFACL,USERMOD,GROUPADD,CHOWN,GPASSWD,NSCD
+USER HOST = (root) NOPASSWD: SETFACL,USERMOD,GROUPADD,CHOWN,CHOWN_R,GPASSWD,NSCD
 
 
-- 
GitLab